summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2017-03-31 08:48:57 -0400
committerAnthony G. Basile <blueness@gentoo.org>2017-03-31 08:48:57 -0400
commit7cc3c2add691f18c7d3989deb7237a78e47fb687 (patch)
treec8706b24a30fa8adccf634b6f50cb2b4c6500f1c /virtual/linux-sources
parentdev-python/setuptools: add ~ppc keyword (bug 613660). (diff)
downloadgentoo-7cc3c2add691f18c7d3989deb7237a78e47fb687.tar.gz
gentoo-7cc3c2add691f18c7d3989deb7237a78e47fb687.tar.bz2
gentoo-7cc3c2add691f18c7d3989deb7237a78e47fb687.zip
virtual/linux-sources: fix bug #614118
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'virtual/linux-sources')
-rw-r--r--virtual/linux-sources/linux-sources-2.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/virtual/linux-sources/linux-sources-2.ebuild b/virtual/linux-sources/linux-sources-2.ebuild
new file mode 100644
index 00000000000..71ffaf090aa
--- /dev/null
+++ b/virtual/linux-sources/linux-sources-2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="Virtual for Linux kernel sources"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="firmware"
+
+RDEPEND="|| (
+ firmware? ( sys-kernel/linux-firmware )
+ sys-kernel/gentoo-sources
+ sys-kernel/vanilla-sources
+ sys-kernel/ck-sources
+ sys-kernel/git-sources
+ sys-kernel/hardened-sources
+ sys-kernel/mips-sources
+ sys-kernel/openvz-sources
+ sys-kernel/pf-sources
+ sys-kernel/rt-sources
+ sys-kernel/tuxonice-sources
+ sys-kernel/xbox-sources
+ sys-kernel/zen-sources
+ sys-kernel/aufs-sources
+ sys-kernel/raspberrypi-sources
+ )"